Subject: Re: [icar] Tagging drafts

From: [email-masked] (Scott Bradner)
Date: Thu, 18 Dec 2003 20:22:24 -0500 (EST)

>> It does not have a MUST as it could. As this text was new in RFC 2418 -
>> didn't exist in RFC 1603 - I could speculate on some nervousness to make
>> the text a MUST in 1998.  But there is a lot of other text in RFC 2418
>> that does not have MUSTs.

it was not a MUST because the WG did not want to make it a MUST - the
feeling was that there were too many examples where things had
worked just fine with WG chairs as doc editors and all too many 
cases where nothing would have happened without that being the case

i.e. the text represents what the WG wanted to say at the time

in general the feeling in the WG about this (and a number of other 
issues) was that it was better to write absolute rules - it was better
to leave things a bit open (but give a general direction) so that 
decisions could be made taking the specific situation into account

Scott

_______________________________________________
Icar mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/icar

---

From: "Robert Snively" <[email-masked]>
Date: Mon, 22 Dec 2003 08:21:13 -0800

One of the problems raised in the "problem list" was
recognition of contributors.  I am happy to see the
recognition in this text that the person writing the
document is really a "document editor" rather than
an "author".  That allows the formal recognition in
the document of the tremendous work and responsibility
of the editor as well as the recognition of the 
work of all the participants and contributors to the
document.  It lays aside the concept of an "author"
who receives sole or principal credit for the document,
leaving most contributors unrecognized or at 
best "acknowledged".

Bob
+1-408-333-8135

> -----Original Message-----
> From: Alex Conta [mailto:[email-masked]]
> Sent: Thursday, December 18, 2003 4:08 PM
> To: David Meyer
> Cc: Alex Zinin; Alex Rousskov; Joel M. Halpern; [email-masked];
> [email-masked]
> Subject: Re: [Icar] Tagging drafts
> 
> 
> Dave,
> 
> I think we are closer to agreement on this text:
> 
>    	   As a general practice, the Working Group Chair and
>   	   Document Editor positions are filled by different
>   	   individuals to help ensure that the resulting
>   	   documents accurately reflect the consensus of the
>   	   working group and that all processes are followed.
> 
> The presence of the paragraph means that there was a concern already 
> prior to 1998 about accurately reflecting the consensus of the WG, and
> about following the process, in case WG chairs are also WG document 
> editors. It means also that there was an attempt to resolve 
> the concern, 
> and create a rule to help eliminate the concern.
> 
> The rule is a general rule, so it applies to all possible 
> cases, but it 
> may have exceptions, which we know.
> 
> As I had fun reading your message, in response I'll do my own 
> dissecting:
> 
> "As a general practice" (a) is an introductory adverbial element 
> replaceable with "in general". It was chosen perhaps as 
> wording fitting 
> better than "in general" in the context of a "Best Current Practices" 
> document. So together with the main sentence (b), it would be "in 
> general, the Working Group Chair and Document Editor positions are 
> filled by different individuals". The use of the adverb "in general", 
> suggests that this is a general rule applied in all cases. This is 
> equivalent to:
> 
> "as a general rule, Working Group Chair and Document Editor positions 
> are filled by different individuals".
> 
> A general rule has exceptions. The last three sentences (c) 
> are together 
> a "complex adverbial clause":
> 
>       (c)   (i)to help ensure that
>             (ii) the resulting documents accurately reflect 
> the consensus
>             of the working group and
>             (iii)that all processes are followed
> 
> In which (ii) and (iii) are individually themselves adverbial clauses.
> 
> The group (c) provides the clarification to the acceptable exceptions:
> 
> cases in which "some considerations" are stronger, or more important 
> than those "to help ensure that the resulting documents accurately 
> reflect the consensus of the working group and that all processes are 
> followed".
> 
> That "accurately reflecting consensus in the WG", and "all 
> processes are 
> followed" are important elements is no need of saying. Helping ensure 
> important elements is an important element in itself.
> 
> "Stronger considerations"  are either better or equal in "helping 
> ensure...", or are simply more important than "helping ensure..."...
> 
> That is quite a high threshold for exceptions to me....
> 
> Regards,
> Alex
> 
> David Meyer wrote:
> 
> > 	Alex,
> > 
> > 
> >>>In the second paragraph in 2418 Section 6.3, which you 
> mentioned, the 
> >>>text is straight forward:
> >>>
> >>>   ...the Working Group Chair and Document Editor 
> positions are filled
> >>>        by different individuals....
> > 
> > 
> > 	You left off the most important part of the sentence for
> > 	purposes of this discussion. In particular, what RFC 2418
> > 	section 6.3 says is exactly this: 
> > 
> > 	   As a general practice, the Working Group Chair and
> > 	   Document Editor positions are filled by different
> > 	   individuals to help ensure that the resulting
> > 	   documents accurately reflect the consensus of the
> > 	   working group and that all processes are followed.
> > 
> > 	The key phrase here is "As a general practice" as it
> > 	describes when the following clause is to be applied. That
> > 	being the case, one would have a hard time arguing that
> > 	"As a general practice" means exclusivity (and by
> > 	"exclusivity" I mean precisely that the positions of
> > 	Chair and Document Editor, as defined by 2418, can not be
> > 	filled by the same individual).   
> > 
> > 	There are two basic reasons why the exclusivity argument
> > 	can not be sustained: 
> > 
> > 	(i).	The definition of "general" includes the meaning
> > 		that the verb (in this case, the "practice") is 
> > 		"applicable to or characteristic of the majority
> > 		of individuals involved". That is, common usage
> > 		is that when we say something "in general", we
> > 		mean that it covers most cases. This is not only
> > 		common usage, but it would seem the use intended
> > 		here. Moreover, there is no text (footnotes,
> > 		commentary or other) to suggest that anything
> > 		other than the conventional meaning is what is
> > 		intended by the text.
> > 
> > 		Basically then, to sustain your point you need to
> > 		argue that "general practice" means exclusivity,
> > 		which is at variance with common usage, and is
> > 		not supported by other text in 2418 (or 2026, or
> > 		even 2119). 
> > 
> > 	(ii).	Second, it would be next to impossible to argue
> > 		that there is ambiguity in the meaning of
> > 		"general practice" here, as the IETF has a well
> > 		codified set of key words which 
> > 
> > 		(a).	Are unambiguously defined for this
> > 			purpose, namely RFC 2119 
> > 
> > 		(b).	Predate RFC 2418
> > 
> > 		(c).	Are both written by the same person (2119
> > 			and 2418). So one would need to argue
> > 			that even though both documents are
> > 			authored by the same person, that person
> > 			didn't know how to specify that
> > 			"...Working Group Chair and Document
> > 			Editor positions MUST be filled by
> > 			different individuals..." (alternatively
> > 			"...MUST NOT be filled by the same
> > 			individual")
> > 
> > 	Now, I am explicitly not stating a position on section
> > 	6.3 (other than to be surprised that I'm in violation of
> > 	this section if your reading is correct). Perhaps this is
> > 	text that needs to be changed to reflect your position,
> > 	if that is consensus on this point (we may again be 
> > 	suffering from a lack of precision in 2418; this is not a
> > 	criticism of Scott; rather, it seems that things have
> > 	evolved in way perhaps not envisioned by the original
> > 	text). 
> > 
> > 	What I am stating, however, is that your statement can
> > 	not be supported by the cited text, common usage, or
> > 	other RFCs. That is, your position is not supported by
> > 	the controlling text in this case (section 6.3 for 2418),
> > 	as common usage of the adjective in question is not to 
> > 	indicate exclusivity. 
> > 
> > 	It would also be difficult to argue that there is an
> > 	ambiguity in the text, and that the intent of the text is
> > 	to make Chair and Editor exclusive. This argument is not
> > 	supportable, as we have codified exactly how to specify
> > 	that something MUST or MUST NOT be done. Finally, the
> > 	fact that the controlling documents (2119 and 2418) are
> > 	written by the same person, and that 2119 predates 2418
> > 	would seriously weaken this line of reasoning.
> > 
> > 	As it is clear what the meaning of "general practice"
> > 	means (and indeed, the spirit of section 6.3 is also
> > 	clear, i.e., that it would be "better" if they weren't
> > 	the same person, for all the obvious reasons), ancillary
> > 	arguments such as "the author didn't know how to specify
> > 	what s/he meant" are untenable.   
> > 
> > 	Finally, I think the discussion here is a good one.
> > 	However, if we don't follow the documents that lay 
> > 	out rules for operation of our own self-governance
> > 	(probably 2026 and 2418, and possibly 2119 in this case),
> > 	and if we don't interpret them with consistency and
> > 	rigor, I'm afraid to say that they are meaningless.
> > 
> > 	Dave
> > 
> > 	
> > 
> > 
> > 
> 
>